Qt platform plugin xcb

Hello,

I get following error massage when using programs like gnuplot and matplotlib.

"""qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: minimal, offscreen, xcb."""

Reinstalling the application did not fix this problem.

I would appreciate if someone could get me some hint in what direction I need to look, because online I could not find much about this issue.

Thanks

Greetings

Did you see this?

The same problem here. I just updated the system and I can't display plot using python matplotlib:

qt.qpa.plugin: Could not find the Qt platform plugin "xcb" in ""
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Aborted (core dumped)

I reinstalled the python and matplotlib but still not working. Any other Qt app is working.

EDITED LATER:
I just found the solution:
first
sudo pip uninstall pyqt5
then
sudo pip install pyqt5
and it work again. I hope this helps

No! NEVER use sudo pip install command !!!
use pip install
Search the forum for related topic.
Cheers!

This topic was automatically closed 180 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by